Skip to content
GET /unified/conversational-intelligence/interactions

Query Parameters

Refer Specifying query parameters in Truto APIs

start_timestring · date-time

Start of the interaction period

1 supported1 required
Gong
required
end_timestring · date-time

End of the interaction period

1 supported1 required
Gong
required
usersobject[]

Filter by one or more users

1 supported
Gong
supported
idstring
required·

The unique identifier of the user

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
  • debug returns the final unified result alongside raw remote fetch information. The response is an envelope containing result (identical to unified mode output) and debug (with requestUrl, requestOptions, data, responseHeaders, and for list operations: nextCursor, isLooping, isEmptyResult, resultCount). debug is null for static responses or when truto_skip_api_call=true.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstreamdebug
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

debugobject

Present only when truto_response_format=debug. Contains raw fetch details: requestUrl, requestOptions, data, responseHeaders, nextCursor, isLooping, isEmptyResult, resultCount. null for static responses or when truto_skip_api_call=true.

data
isEmptyResultboolean
isLoopingboolean
nextCursorstring
requestOptionsRecord<string, any>
requestUrlstring
responseHeadersRecord<string, any>
resultCountnumber
next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Interactions

idstring
required·

The unique identifier for the interaction record

1 supported
Gong
supported
additional_metricsobject[]

Additional interaction metrics from the source when they do not map to the standard metrics object. Use for forward-compatible or vendor-specific metrics.

1 supported
Gong
supported
2 properties
namestring

Name of the interaction metric in the source system

valuenumber

Value of the interaction metric

aggregation_periodstring

Granularity of the aggregation.

Possible values:
dayweekmonthtotal
1 supported
Gong
supported
created_atstring · date-time

When the interaction record was created in the source system

end_timestring · date-time

End of the aggregation period in ISO 8601 format

1 supported
Gong
supported
metricsobject

Standard interaction metrics for the user in the period

1 supported
Gong
supported
5 properties
interactivitynumber

Interactivity score for the user in the period

longest_customer_storynumber

Longest customer story duration or score for the user in the period

longest_monologuenumber

Longest monologue duration or score for the user in the period

patiencenumber

Patience score for the user in the period

question_ratenumber

Question rate for the user in the period

remote_dataRecord<string, any>

Raw data returned from the remote API call.

start_timestring · date-time

Start of the aggregation period in ISO 8601 format

1 supported
Gong
supported
timezonestring

Time zone used for the aggregation period in the source system

1 supported
Gong
supported
updated_atstring · date-time

When the interaction record was last updated in the source system

userobject

The user the interaction record belongs to

1 supported
Gong
supported
3 properties
idstring
required·

The unique identifier for the user

emailsobject[]

List of email addresses of the user

2 properties
emailstring

Email address of the user

is_primaryboolean

Whether the email address is the primary email address of the user

namestring

Name of the user

truto unified conversational-intelligence interactions \
  -a '<integrated_account_id>' \
  -o json
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'conversational-intelligence',
  'interactions',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "conversational-intelligence",
        "interactions",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())
curl -X GET 'https://api.truto.one/unified/conversational-intelligence/interactions?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/conversational-intelligence/interactions?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/conversational-intelligence/interactions"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())